
Redmine - Defect #7122

Issue-description Quote-button missing

2010-12-17 00:31 - Mischa The Evil

Status: Closed Start date: 2010-12-17

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 1.0.5   

Resolution: Fixed Affected version: 1.0.1

Description

Due to the refactoring of the IssuesController, IssuesController#reply has been moved into JournalsController#new in r3941. During

this specific refactoring one LOC has been forgotten to be changed according to the new controller-schema.

This fault causes that issue description's quote-button is not showing up in the UI.

I've been able to patch this defect using the following change (which I won't upload as a seperate patch-file due to its size :):

Index: app/views/issues/show.rhtml

===================================================================

--- app/views/issues/show.rhtml (revision 4515)

+++ app/views/issues/show.rhtml (working copy)

@@ -49,7 +49,7 @@

 <hr />

 <% if @issue.description? %>

        <div class="contextual">

-       <%= link_to_remote_if_authorized(l(:button_quote), { :url => {:action => 'reply', :id => @

issue} }, :class => 'icon icon-comment') %>

+       <%= link_to_remote_if_authorized(l(:button_quote), { :url => {:controller => 'journals', :

action => 'new', :id => @issue} }, :class => 'icon icon-comment') %>

        </div>

        <p><strong><%=l(:field_description)%></strong></p>

 Since this (small) issue is affecting current stable branch (actually, it's introduced in Redmine 1.0.1) I've set the target version to 1.0.5

. Please correct it if necessary...

Associated revisions

Revision 4530 - 2010-12-18 14:40 - Jean-Philippe Lang

Fixed: issue description Quote button lost by r3941 (#7122).

History

#1 - 2010-12-18 14:34 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Fixed in r4530 with a simple test and merged in 1.0-stable.

Thanks.
